Bug 1885583 - latest update (20.08) missing from fedora 33
Summary: latest update (20.08) missing from fedora 33
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libmediainfo
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-06 12:46 UTC by Fabio Valentini
Modified: 2020-10-23 22:05 UTC (History)
2 users (show)

Fixed In Version: libmediainfo-20.08-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:05:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Fabio Valentini 2020-10-06 12:46:23 UTC
It looks like the fedora 33 branch point was missed when pushing the 20.08 update. The commit for this update is missing from the f33 branch as well.

This leads to the awkward situation where epel7, epel8, f31, f32, and rawhide are all at 20.08, but f33 is still at 20.03, which leads to package downgrades when upgrading from to fedora 33:

- libmediainfo is newer in 32 than in 33:
  0:20.08-1.fc32 > 0:20.03-3.fc33
- libmediainfo-devel is newer in 32 than in 33:
  0:20.08-1.fc32 > 0:20.03-3.fc33
- mediainfo is newer in 32 than in 33:
  0:20.08-1.fc32 > 0:20.03-3.fc33
- mediainfo-gui is newer in 32 than in 33:
  0:20.08-1.fc32 > 0:20.03-3.fc33
- mediainfo-qt is newer in 32 than in 33:
  0:20.08-1.fc32 > 0:20.03-3.fc33

Merging the master branch into f33, building the package for f33, and submitting a corresponding bodhi update should fix this oversight.

Comment 1 Vasiliy Glazov 2020-10-06 19:26:38 UTC
Thanks.
Will be done soon.

Comment 2 Fedora Update System 2020-10-06 19:38:46 UTC
FEDORA-2020-cb22e408f4 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cb22e408f4

Comment 3 Fedora Update System 2020-10-07 14:30:15 UTC
FEDORA-2020-cb22e408f4 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-cb22e408f4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cb22e408f4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-10-23 22:05:26 UTC
FEDORA-2020-cb22e408f4 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.